Public Class Frm_renta_movie
    Dim ds As New DataSet
    Dim cl As New DAL

    Private Sub Numero_CintaTextBox_KeyUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Numero_CintaTextBox.KeyUp
        Try
            detalle_movie()
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Sub Numero_SocioTextBox_KeyUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Numero_SocioTextBox.KeyUp
        Try
            buscar_cliente()
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Sub Numero_CintaTextBox_KeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles Numero_CintaTextBox.KeyDown
        If Not ((e.KeyValue >= 48 And e.KeyValue <= 57) OrElse _
                       (e.KeyValue >= 96 And e.KeyValue <= 105) OrElse _
                       (e.KeyValue >= 37 And e.KeyValue <= 40) OrElse _
                       (e.KeyValue = 8 OrElse e.KeyValue = 46)) OrElse _
                       (e.Shift = True Or e.Alt = True) Then
            '****************************************************
            'Los valores entre [48 y 57] y [96 y 105]
            'correspondientes a las teclas del 0 al 9
            'del teclado numerico
            '****************************************************
            'los valores entre [37 y 40]son los correspondientes
            'a las teclas del direccionales arriba, abajo, para
            'poder desplazarnos dentro del texto.
            '****************************************************
            'Si queremos que sean solo letras solo reemplazamos las
            'lineas ateriores por estas 
            '(e.KeyValue >= 65 And e.KeyValue <= 90)
            e.Handled = True
            e.SuppressKeyPress = True
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtnProcesar.Click
        Try
            If (Numero_SocioTextBox.Text = "") And (Numero_CintaTextBox.Text = "") Then
                MessageBox.Show("Complete los datos por favor!", "Atencion", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Else
                'Realizar calculo
                Dim act As Integer = Convert.ToInt16(TextBox2.Text)
                Dim rest As Integer 'Restantes
                Dim rentadas As Int16 = Convert.ToInt16(RentadasTextBox.Text)
                rest = act - 1
                rentadas += 1

                'Registrar cantidad para la devolucion
                cl.actualizar_cantidades(Numero_CintaTextBox.Text, rest, rentadas)
                ds.Tables.Clear()

                'Parametros para registrar las peliculas descontadas
                If Convert.ToInt16(TextBox2.Text) > 0 Then
                    cl.registrar_alquiler(Numero_SocioTextBox.Text, Convert.ToInt32(Numero_CintaTextBox.Text))
                    ds.Tables.Clear()
                    Numero_SocioTextBox.Clear()
                    Numero_CintaTextBox.Clear()
                Else
                    MessageBox.Show("La no existe cantidad en stock para rentar", "Atencion", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                End If
            End If

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Public Sub buscar_cliente()
        Try
            If Numero_SocioTextBox.Text.Length = 13 Then
                ds.Tables.Clear()
                ds = cl.buscar_nombre(Numero_SocioTextBox.Text)
                TextBox1.DataBindings.Add("text", ds.Tables("Socios"), "Nombre")
            End If
        Catch ex As Exception
            MessageBox.Show("Formato de datos no valido, o supera la cantidad de digitos requieridos", "Atencion", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try
    End Sub

    Public Sub detalle_movie()
        Try
            If Numero_CintaTextBox.Text.Length = 4 Then
                ds.Tables.Clear()
                ds = cl.buscar_cant_y_titulos(Numero_CintaTextBox.Text)
                TextBox2.DataBindings.Add("text", ds.Tables("Peliculas"), "copias")
                TituloTextBox.DataBindings.Add("text", ds.Tables("Peliculas"), "titulo")
                RentadasTextBox.DataBindings.Add("text", ds.Tables("Peliculas"), "Rentadas")
            End If
        Catch ex As Exception
            MessageBox.Show("Formato de datos no valido, o supera la cantidad de digitos requieridos", "Atencion", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
        End Try
    End Sub
End Class